Package fr.gouv.vitam.workspace.client

# Class WorkspaceClientFactory

java.lang.Object
fr.gouv.vitam.common.client.VitamClientFactory<WorkspaceClient>
fr.gouv.vitam.workspace.client.WorkspaceClientFactory

All Implemented Interfaces:
  `VitamClientFactoryInterface<WorkspaceClient>`

Direct Known Subclasses:
  `WorkspaceCollectClientFactory`

public class WorkspaceClientFactory extends VitamClientFactory<WorkspaceClient>
WorkspaceClient factory for creating workspace client

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface fr.gouv.vitam.common.client.VitamClientFactoryInterface

  `VitamClientFactoryInterface.VitamClientType`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `clientConfiguration`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `WorkspaceClientFactory(String resourcePath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeMode(String serviceUrl, WorkFlowExecutionContext executionContext)`
  change mode client by server url
  `WorkspaceClient`
  `getClient()`
  This method returns the correct Client adapted to the business case
  `static WorkspaceClientFactory`
  `getInstance(WorkFlowExecutionContext executionContext)`
  Get the WorkspaceClientFactory instance

  ### Methods inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `changeResourcePath, changeServerPort, disableUseAuthorizationFilter, enableUseAuthorizationFilter, getClientConfiguration, getDefaultConfigCient, getDefaultConfigCient, getHttpClient, getHttpClient, getResourcePath, getServiceUrl, getVitamClientType, getVitamThreadPoolExecutor, initialisation, isAllowGzipDecoded, isAllowGzipEncoded, resetConnections, resume, setGzipdecoded, setGzipEncoded, setVitamClientType, shutdown, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WorkspaceClientFactory

    protected WorkspaceClientFactory(String resourcePath)

- ## Method Details

  - ### getInstance

    public static WorkspaceClientFactory getInstance(WorkFlowExecutionContext executionContext)
    Get the WorkspaceClientFactory instance
    Returns:
      the instance

  - ### getClient

    public WorkspaceClient getClient()
    Description copied from interface: `VitamClientFactoryInterface`
    This method returns the correct Client adapted to the business case
    Returns:
      the Vitam client

  - ### changeMode

    public static void changeMode(String serviceUrl, WorkFlowExecutionContext executionContext)
    change mode client by server url
    Parameters:
      `serviceUrl` - as String